Article ID: 2339, created on Oct 29, 2007, last review on Apr 16, 2012

  • Applies to:
  • Pro Control Panel Linux

AdditionalInformation

View Knowledge
Knowledge ID 1072
Product : WEBppliance for Linux
Version : 3.5.20
Topic : Hot Fixes

Title
Errata Fix: Updated PostgreSQL packages fix buffer overflow

Summary
Errata Fix: Updated PostgreSQL packages fix buffer overflow

Prevention


Details
Solution:

Errata Fix: Updated PostgreSQL packages fix buffer overflow

Resolved Issues:

Updated PostgreSQL packages correct a buffer overflow in the to_ascii routines. For more details on this vulnerability refer to the following link:

https://rhn.redhat.com/errata/RHSA-2003-313.html

The following RPMs have been modified:

virtualhosting-fst-siteinfo-3.5.20-20.i386.rpm
webppliance-siteinfo-3.5.20-20.i386.rpm
webppliance-epilog-3.5.20-20.i386.rpm
webppliance-prolog-3.5.20-20.i386.rpm
webppliance-version-3.5.20-20.i386.rpm
postgresql-7.2.4-5.73ensim1.i386.rpm
postgresql-contrib-7.2.4-5.73ensim1.i386.rpm
postgresql-devel-7.2.4-5.73ensim1.i386.rpm
postgresql-jdbc-7.2.4-5.73ensim1.i386.rpm
postgresql-libs-7.2.4-5.73ensim1.i386.rpm
postgresql-odbc-7.2.4-5.73ensim1.i386.rpm
postgresql-perl-7.2.4-5.73ensim1.i386.rpm
postgresql-python-7.2.4-5.73ensim1.i386.rpm
postgresql-server-7.2.4-5.73ensim1.i386.rpm
postgresql-tcl-7.2.4-5.73ensim1.i386.rpm
postgresql-tk-7.2.4-5.73ensim1.i386.rpm

Download Instructions:

For WEBppliance Pro for Linux 3.5.20:
http://download.swsoft.com/ensim/download/webppliance/linux/Pro/3.5.20/errata/errata-postgresql/errata-postgresql-3.5.20-20.tar.gz

For WEBppliance Basic for Linux 3.5.20:  http://download.swsoft.com/ensim/download/webppliance/linux/Basic/3.5.20/errata/errata-postgresql/errata-postgresql-3.5.20-20.tar.gz 

Installation Instructions: 

WEBppliance Pro and Basic for Linux (LS): 

  • Ensure LWP 3.5.20-16 is installed (Knowledge Base Article 856)   
  • Download the tar ball errata-postgresql-3.5.20-20.tar.gz from the above mentioned location.     
  • Untar the tarball in a temporary directory using the following command:
    tar -xvzf errata-postgresql-3.5.20-20.tar.gz     
  • Run rpm -Fvh *.rpm   
  • Restart WEBppliance service 
    service webppliance restart

WEBppliance Pro and Basic for Linux (LH):

For installating this fix for WEBppliance Pro/Basic for Linux 3.5.20 (LH) refer to Knowledge Base Article 862


Attachments


Related Knowledge

Related Links
 
Last ModifiedUsageSatisfiedLast Used
8/20/2004 12:46:20 PM19 10/11/2007 6:03:22 AM

4cc899da08664637a8bc437308d3ddd7 3ccb419cf98083f3bb45808fba8dbc7c 6311ae17c1ee52b36e68aaf4ad066387

Email subscription for changes to this article
Save as PDF